SWAP(3)

NAME
swap - integral representation conversion routines

SYNOPSIS

DESCRIPTION
These routines convert integral constants between internal and external representations. They are used to handle binary data generated by foreign programs. New binary data representations should use the compact canonical form provided by the sfio(3) routines and

No swapping necessary.

Swap byte
    with byte

Swap bytes
    and with bytes and

Swap bytes
    with bytes and so on. The largest native integral type is defined by the macro in the header described in int(3).

SEE ALSO
int(3)